## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate tokio-rustls

Name:           rust-tokio-rustls0.25
Version:        0.25.0
Release:        %autorelease
Summary:        Asynchronous TLS/SSL streams for Tokio using Rustls

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/tokio-rustls
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Asynchronous TLS/SSL streams for Tokio using Rustls.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+early-data-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+early-data-devel %{_description}

This package contains library source intended for building other packages which
use the "early-data" feature of the "%{crate}" crate.

%files       -n %{name}+early-data-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+logging-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+logging-devel %{_description}

This package contains library source intended for building other packages which
use the "logging" feature of the "%{crate}" crate.

%files       -n %{name}+logging-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ring-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ring-devel %{_description}

This package contains library source intended for building other packages which
use the "ring" feature of the "%{crate}" crate.

%files       -n %{name}+ring-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tls12-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tls12-devel %{_description}

This package contains library source intended for building other packages which
use the "tls12" feature of the "%{crate}" crate.

%files       -n %{name}+tls12-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip tests that require internet access
# * skip tests relying on expired certificates
%cargo_test -- -- --exact --skip common::test_stream::stream_bad --skip common::test_stream::stream_eof --skip common::test_stream::stream_good --skip common::test_stream::stream_buffered_handshake --skip common::test_stream::stream_handshake --skip common::test_stream::stream_handshake_regression_issues_77 --skip test_modern --skip test_tls12 --skip test_lazy_config_acceptor --skip pass
%endif

%changelog
## START: Generated by rpmautospec
* Sun Aug 04 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.25.0-1
- Initial import; Fixes: RHBZ#2302681
## END: Generated by rpmautospec
